# Locate ChipSound library
#
# This module defines:
#  CHIPSOUND_FOUND, true if ChipSound was found
#  CHIPSOUND_INCLUDE_DIR, where the C headers are found
#  CHIPSOUND_LIBRARY, where the library is found
#
# Created by David Olofson

FIND_PATH(CHIPSOUND_INCLUDE_DIR chipsound.h
	PATH_SUFFIXES include
	PATHS
	~/Library/Frameworks
	/Library/Frameworks
	/usr/local/include/ChipSound
	/usr/include/ChipSound
	/usr/local/include
	/usr/include
	/sw/include/ChipSound
	/sw/include
	/opt/local/include/ChipSound
	/opt/local/include
	/opt/csw/include/ChipSound
	/opt/csw/include
	/opt/include/ChipSound
	/opt/include
)

FIND_LIBRARY(CHIPSOUND_LIBRARY
	NAMES chipsound
	PATH_SUFFIXES lib64 lib
	PATHS
	~/Library/Frameworks
	/Library/Frameworks
	/usr/local
	/usr
	/sw
	/opt/local
	/opt/csw
	/opt
)

SET(CHIPSOUND_FOUND "NO")
IF(CHIPSOUND_LIBRARY AND CHIPSOUND_INCLUDE_DIR)
	SET(CHIPSOUND_FOUND "YES")
ENDIF(CHIPSOUND_LIBRARY AND CHIPSOUND_INCLUDE_DIR)
